Package org.eclipse.ecf.core.sharedobject

# Class ReplicaSharedObjectDescription

java.lang.Object
org.eclipse.ecf.core.sharedobject.SharedObjectDescription
org.eclipse.ecf.core.sharedobject.ReplicaSharedObjectDescription

All Implemented Interfaces:
  `Serializable`

public class ReplicaSharedObjectDescription extends SharedObjectDescription implements Serializable
Description of a remote ISharedObject instance.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ID`
`homeID`
`protected long`
`identifier`
`protected static long`
`staticID`

### Fields inherited from class org.eclipse.ecf.core.sharedobject.SharedObjectDescription

`id, properties, typeDescription`

## Constructor Summary

Constructors
Constructor
Description
`ReplicaSharedObjectDescription()`
`ReplicaSharedObjectDescription(Class clazz, ID objectID)`
`ReplicaSharedObjectDescription(Class clazz, ID objectID, ID homeID)`
`ReplicaSharedObjectDescription(Class clazz, ID objectID, ID homeID, Map<String,?> props)`
`ReplicaSharedObjectDescription(Class clazz, ID objectID, ID homeID, Map<String,?> props, long ident)`
`ReplicaSharedObjectDescription(String typeName, ID objectID, ID homeID)`
`ReplicaSharedObjectDescription(String typeName, ID objectID, ID homeID, Map<String,?> props)`
`ReplicaSharedObjectDescription(String typeName, ID objectID, ID homeID, Map<String,?> props, long ident)`
`ReplicaSharedObjectDescription(SharedObjectTypeDescription type, ID soID, ID homeID)`
`ReplicaSharedObjectDescription(SharedObjectTypeDescription type, ID soID, ID homeID, Map<String,?> props)`
`ReplicaSharedObjectDescription(SharedObjectTypeDescription type, ID objectID, ID homeID, Map<String,?> props, long ident)`

## Method Summary

Modifier and Type
Method
Description
`ID`
`getHomeID()`
`long`
`getIdentifier()`
`static long`
`getNextUniqueIdentifier()`
`void`
`setID(ID theID)`
`String`
`toString()`

### Methods inherited from class org.eclipse.ecf.core.sharedobject.SharedObjectDescription

`getID, getProperties, getTypeDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### staticID

protected static long staticID

### homeID

protected ID homeID

### identifier

protected long identifier

## Constructor Details

### ReplicaSharedObjectDescription

public ReplicaSharedObjectDescription()

Since:
  2.6

### ReplicaSharedObjectDescription

public ReplicaSharedObjectDescription(SharedObjectTypeDescription type, ID soID, ID homeID)

Since:
  2.3

### ReplicaSharedObjectDescription

public ReplicaSharedObjectDescription(SharedObjectTypeDescription type, ID soID, ID homeID, Map<String,?> props)

Since:
  2.3

### ReplicaSharedObjectDescription

public ReplicaSharedObjectDescription(SharedObjectTypeDescription type, ID objectID, ID homeID, Map<String,?> props, long ident)

### ReplicaSharedObjectDescription

public ReplicaSharedObjectDescription(String typeName, ID objectID, ID homeID, Map<String,?> props, long ident)

### ReplicaSharedObjectDescription

public ReplicaSharedObjectDescription(String typeName, ID objectID, ID homeID, Map<String,?> props)

### ReplicaSharedObjectDescription

public ReplicaSharedObjectDescription(String typeName, ID objectID, ID homeID)

### ReplicaSharedObjectDescription

public ReplicaSharedObjectDescription(Class clazz, ID objectID, ID homeID, Map<String,?> props, long ident)

### ReplicaSharedObjectDescription

public ReplicaSharedObjectDescription(Class clazz, ID objectID, ID homeID, Map<String,?> props)

### ReplicaSharedObjectDescription

public ReplicaSharedObjectDescription(Class clazz, ID objectID, ID homeID)

### ReplicaSharedObjectDescription

public ReplicaSharedObjectDescription(Class clazz, ID objectID)

## Method Details

### getNextUniqueIdentifier

public static long getNextUniqueIdentifier()

### getHomeID

public ID getHomeID()

### getIdentifier

public long getIdentifier()

### setID

public void setID(ID theID)

### toString

public String toString()

Overrides:
  `toString` in class `SharedObjectDescription`